> ## Documentation Index
> Fetch the complete documentation index at: https://docs.databar.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all workspace tables

> Retrieves all tables currently in your workspace, including their name, created date, and identifiers.



## OpenAPI

````yaml GET /v1/table/
openapi: 3.1.0
info:
  title: Databar.ai API
  description: >-

    # Authentication


    Databar uses API keys to allow access to the API. You can find your API key
    in your workspace home page, but to use the REST API you’ll first need to
    schedule a call with us.

    Our API expects the API key to be included in all API requests to the server
    in the Header of your request with the key `x-apikey`.

    To find your API key, head over to your Databar workspace and click
    Integrations.


    **Example:**


    `bash

    curl https://api.databar.ai/v1/user/me -H x-apikey: {YOUR_API_KEY}`
  contact:
    email: info@databar.ai
  version: 0.1.2
servers:
  - url: https://api.databar.ai
    description: Production
security: []
paths:
  /v1/table/:
    get:
      tags:
        - Table
      summary: Get all workspace tables
      description: >-
        Retrieves all tables currently in your workspace, including their name,
        created date, and identifiers.
      operationId: Get_tables_v1_table__get
      parameters:
        - name: x-apikey
          in: header
          required: true
          schema:
            type: string
            title: API Key
            description: API Key for authentication
          description: API Key for authentication
      responses:
        '200':
          description: Tables retrieved successfully
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Table'
                title: Response Get Tables V1 Table  Get
              example:
                - identifier: 123e4567-e89b-12d3-a456-426614174000
                  name: My Table 1
                  created_at: '2023-05-01T12:00:00Z'
                  updated_at: '2023-05-01T12:00:00Z'
                  table_url: >-
                    https://databar.ai/tables?table=123e4567-e89b-12d3-a456-426614174000&workspace=abc12345-6789-0abc-def0-123456789abc
                - identifier: 223e4567-e89b-12d3-a456-426614174001
                  name: My Table 2
                  created_at: '2023-05-01T12:00:00Z'
                  updated_at: '2023-05-01T12:00:00Z'
                  table_url: >-
                    https://databar.ai/tables?table=223e4567-e89b-12d3-a456-426614174001&workspace=abc12345-6789-0abc-def0-123456789abc
        '403':
          description: Forbidden
          content:
            application/json:
              example:
                detail: Not allowed
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Table:
      properties:
        identifier:
          type: string
          title: Identifier
        name:
          type: string
          title: Name
        created_at:
          type: string
          title: Created At
        updated_at:
          type: string
          title: Updated At
        workspace_identifier:
          anyOf:
            - type: string
            - type: 'null'
          title: Workspace Identifier
        table_url:
          type: string
          title: Table Url
          readOnly: true
      type: object
      required:
        - identifier
        - name
        - created_at
        - updated_at
        - table_url
      title: Table
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````